Subject: bug#37214: [PATCH] vc-svn error messages are used as ignore list

From: Wolfgang Scherer <[email-masked]>
Date: Wed, 28 Aug 2019 20:54:22 +0200

Function `vc-svn-ignore-completion-table' in `lisp/vc/vc-svn.el'
does not work properly.

If the property "svn:ignore" does not exist, an error message is
written to the output buffer, which is then used as a list of
ignored files.

The output buffer is split whitespace, which creates problems
with whitespace in file names.

The attached patch fixes both problems.